libdap::ce_parser_arg Struct Reference

## Public Member Functions

| ce_parser_arg (ConstraintEvaluator *e, DDS *d)
DDS * | get_dds ()
ConstraintEvaluator * | get_eval ()
void | set_dds (DDS *obj)
void | set_eval (ConstraintEvaluator *obj)

## Public Attributes

DDS * | dds
ConstraintEvaluator * | eval

## Detailed Description

Definition at line 7 of file ce_parser.h.

## Constructor & Destructor Documentation

## ce_parser_arg() [1/2]

libdap::ce_parser_arg::ce_parser_arg | ( |  | ) |

inline

Definition at line 11 of file ce_parser.h.

## ce_parser_arg() [2/2]

libdap::ce_parser_arg::ce_parser_arg | ( | ConstraintEvaluator * | e,
|  | DDS * | d )

inline

Definition at line 12 of file ce_parser.h.

## ~ce_parser_arg()

virtual libdap::ce_parser_arg::~ce_parser_arg | ( |  | ) |

inline virtual

Definition at line 13 of file ce_parser.h.

## Member Function Documentation

## get_dds()

DDS * libdap::ce_parser_arg::get_dds | ( |  | ) |

inline

Definition at line 18 of file ce_parser.h.

## get_eval()

ConstraintEvaluator * libdap::ce_parser_arg::get_eval | ( |  | ) |

inline

Definition at line 15 of file ce_parser.h.

## set_dds()

void libdap::ce_parser_arg::set_dds | ( | DDS * | obj | ) |

inline

Definition at line 19 of file ce_parser.h.

## set_eval()

void libdap::ce_parser_arg::set_eval | ( | ConstraintEvaluator * | obj | ) |

inline

Definition at line 16 of file ce_parser.h.

## Member Data Documentation

## dds

DDS* libdap::ce_parser_arg::dds

Definition at line 9 of file ce_parser.h.

## eval

ConstraintEvaluator* libdap::ce_parser_arg::eval

Definition at line 8 of file ce_parser.h.

The documentation for this struct was generated from the following file:

- ce_parser.h